Fòrum Ubuntaire

Subscribe to Canal Fòrum Ubuntaire Fòrum Ubuntaire
Catalan LoCo Team
Actualitzat: fa 11 hores 38 minuts

Ubuntu en l´a Surface Laptop no funciona el teclat

Dc, 19/02/2020 - 18:40
M'acabo d'instal·lar el ubuntu l'a l'Surface Laptop 3, i quan he anat a escriure nom d'usuari no em funcionada el teclat ni el tochpad.

algú li va passar el mateix?:(

Treure windows

Dm, 04/02/2020 - 19:52
Hola, havia tingut una molt bona experiència amb ubuntu amb un ordinador que vaig comprar sense windows. Després en comprar un altre que tenia windows vaig decidir instal·lar ubuntu respectant una partició per windows per si m'anava bé per algo. Ara, després d'un any en el que no he obert windows ni una sola vegada crec que el millor que podria fer seria treure'l del tot perquè ocupa un espai sense fer cap servei. I no tinc ni idea com fer-ho, hi ha algun lloc on s'expliqui? És molt complicat?
Moltes gràcies per endavant.

Ajuda amb els drivers, sóc nou a gnu/linux :)

Ds, 25/01/2020 - 20:20
Bona vesprada ):P,
Em diuen Ramonet i fa un parell de setmanes que estric trastejant amb gnu/linux, concretament amb kubuntu, anteriorment havia emprat ubuntu però ara estic provant la versió amb kubuntu kde plasma. (kubuntu 18.04 si no m'equivoque, la darrera LTS)
M'agradaria que m'ajudareu, si és possible, amb el tema dels drivers que és un tema que em costa moltíssim de sol·lucionar.
Els drivers que necessite són els de la gràfica, els altaveus i els auriculars.

La gràfica que empre és AMD Radeon RX 580, i seguint aquest enllaç https://www.amd.com/es/support/graph.../radeon-rx-580, descarregue el paquet i tinc 2 opcions, instalar la versió normal o la versió pro (no comprenc la diferència).
Els passos que faig són els indicats:
tar -xJvf amdgpu-pro _ *. tar.xz
cd amdgpu-pro-XX.XX (subsituint les X pel meu cas concret)
sudo apt update
./amdgpu-pro-install -y (tinc 2 opcions, amdgpu -install o amdgpu-pro install)

Tot bé fins que a la darrera línia de la instal·lació em diu error amb el kernel actual no compatible ( mateix error amb la versió normal i la pro)
Línia d'error:
WARNING:amdgpu dkms failed for running kernel

KERNEL ACTUAL: $ uname -r --> 5.3.0-26-generic

El mateix exemple que em passa a mi li passa a aquest portuguès https://www.youtube.com/watch?v=9f_hh0mfBiA (minut 6:18 podeu veure l'error).
La cosa és que si que sembla que s'ha instal·lat (la versió normal, no la pro)

XXXX@XXXX:~$ glxinfo |grep OpenGL
OpenGL vendor string: X.Org
OpenGL renderer string: Radeon RX 580 Series (POLARIS10, DRM 3.33.0, 5.3.0-26-generic, LLVM 9.0.1)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.2.2
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 4.5 (Compatibility Profile) Mesa 19.2.2
OpenGL shading language version string: 4.50
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.2 Mesa 19.2.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
OpenGL ES profile extensions:


M'agradaria saber si el driver està ben instal·lat. Emprant el programa gputest, que llença un video i analitza els fps, el resultat és el següent:

GpuTest 0.7.0
Module: TessaMark x32 (no entenc molt bé lo de 32 imagine que el meu sistema serà de 64 bit, no se massa del tema)
FPS 727
Settings: 1920x1080
Renderer Radeon RX 580 Series
OpenGL 4.5 (core profile) Mesa 19.2

D'aquesta informació entenc que la gràfica funciona, no entenc el WARNING d'abans anunciant incompatibilitat amb el kernel.

M'agradaria saber si està tot correcte o si hauria de probar de configurar les coses de forma diferent. També m'agradaria saber si tenint en compte la meua gràfica em convé la versió normal o la pro (amb les dues apareixia el warning )

Això en quant a la gràfica.

Tincs uns altaveus logitech que no me'ls deteca, s'anomenen altaveus logitech Z213.

A l'apartat de dispositius de reproducció apareixen 2:
OUTPUTS
- linia de sortida : àudio intern estereo analogic (DEFAULT)
- linia de sortida: hdmi/display port 3: ellesmere (radeon rx580) digital stereo (hdmi 3)

INPUTS
Audio internet estereo analògic


I els meus auriculars s'anomenen Logitech G430 Gaming SOrround SOund 7.1, tampoc he aconseguit instal·lar els gràfics.

He fet molta recerca, i després de no haver aconseguit res (crec, doncs no se si la gràfica està bé) he acoduit al fòrum en busca d'ajuda de gent entesa.
Moltes gràcies per la vostra atenció,
Salut.:D

error udisk quarke, 4

Dm, 14/01/2020 - 18:43
Bona vesprada,

algú sap com solucionar l'error udisk quarke,4? Utilitze Ubuntu 19.04
No em deixa accedir a les unitats USB, ni formatejar-les. No puc solucionar-ho de cap manera i ho necessite per al treball
Afegisc les captures de pantalla:

Quan hi intente accedir apareix: No es pot accedir al volum --- / Not authorized to perform operation

I quan intente formatejar-ho: S'ha produït un error en formatar el volum / Not authorized to perform operation (udisk-error-quark,4)


Gràcies d'antuvi

Problemes instal·lant idcat certificat digital

Dm, 12/11/2019 - 13:17
Hola!

Estic provant d'instal·lar el certificat digital idCAT i no me n'acabo d'ensortir.

Estic seguint els passos descrits a https://www.idcat.cat/idcat/jsp/guies/clauer/linux/guia%20usuari%20clauer%20idCAT-Linux.pdf i em quedo al pas "make".

Més especificament, de moment he fet el següent:

1. M'he baixat el programari des de www.idcat.cat/clauer.

2. Seguint les instruccions, he entrat a la carpeta ClauerLinux-3.0.8, he instal·lat alguns paquets necessaris i he fet córrer ./configure. És a dir:
Code:
cd ClauerLinux-3.0.8/

# Install dependencies
sudo apt install g++ libnss3-dev libssl-dev gawk

# Run configure
./configure --enable-64 3. El problema bé quan faig Code: make Em surten els següents errors:

Code: CRYPTOWrap.c:251:18: error: storage size of 'ctx' isn't known
  251 |  EVP_CIPHER_CTX ctx;
      |                  ^~~
CRYPTOWrap.c: In function 'CRYPTO_PBE_Cifrar':
CRYPTOWrap.c:376:18: error: storage size of 'ctx' isn't known
  376 |  EVP_CIPHER_CTX ctx;
      |                  ^~~
CRYPTOWrap.c: In function 'CRYPTO_Random':
CRYPTOWrap.c:476:3: warning: 'RAND_pseudo_bytes' is deprecated [-Wdeprecated-declarations]
  476 |  if ( ! RAND_pseudo_bytes(bufferRandom, bytes) )
      |  ^~
In file included from /usr/include/openssl/evp.h:13,
                from CRYPTOWrap.c:52:
/usr/include/openssl/rand.h:44:1: note: declared here
  44 | DEPRECATEDIN_1_1_0(int RAND_pseudo_bytes(unsigned char *buf, int num))
      | ^~~~~~~~~~~~~~~~~~
CRYPTOWrap.c: In function 'CRYPTO_GenerarParLlaves':
CRYPTOWrap.c:637:3: warning: 'RSA_generate_key' is deprecated [-Wdeprecated-declarations]
  637 |  rsaLlave = RSA_generate_key(bits, 3, NULL, NULL);
      |  ^~~~~~~~
In file included from /usr/include/openssl/evp.h:13,
                from CRYPTOWrap.c:52:
/usr/include/openssl/rsa.h:234:1: note: declared here
  234 | DEPRECATEDIN_0_9_8(RSA *RSA_generate_key(int bits, unsigned long e, void
      | ^~~~~~~~~~~~~~~~~~
CRYPTOWrap.c: In function 'CRYPTO_Cifrar':
CRYPTOWrap.c:1312:18: error: storage size of 'ctx' isn't known
 1312 |  EVP_CIPHER_CTX ctx;
      |                  ^~~
CRYPTOWrap.c: In function 'CRYPTO_Descifrar':
CRYPTOWrap.c:1401:18: error: storage size of 'ctx' isn't known
 1401 |  EVP_CIPHER_CTX ctx;
      |                  ^~~
CRYPTOWrap.c: In function 'CRYPTO_EVPPKEY_Id':
CRYPTOWrap.c:1616:14: error: storage size of 'mdCtx' isn't known
 1616 |  EVP_MD_CTX mdCtx;
      |              ^~~~~
In file included from /usr/include/openssl/asn1.h:23,
                from /usr/include/openssl/objects.h:15,
                from /usr/include/openssl/evp.h:28,
                from CRYPTOWrap.c:52:
CRYPTOWrap.c:1618:26: error: dereferencing pointer to incomplete type 'EVP_PKEY' {aka 'struct evp_pkey_st'}
 1618 |  tamE = BN_num_bytes(evp->pkey.rsa->e);
      |                          ^~
CRYPTOWrap.c:1649:5: warning: implicit declaration of function 'EVP_MD_CTX_cleanup'; did you mean 'EVP_MD_CTX_create'? [-Wimplicit-function-declaration]
 1649 |    EVP_MD_CTX_cleanup(&mdCtx);
      |    ^~~~~~~~~~~~~~~~~~
      |    EVP_MD_CTX_create
CRYPTOWrap.c: In function 'CRYPTO_BLOB2LLAVE':
CRYPTOWrap.c:3332:7: error: dereferencing pointer to incomplete type 'RSA' {aka 'struct rsa_st'}
 3332 |  pKey->n = BN_bin2bn(auxBlob+sizeof(BLOBHEADER)+sizeof(RSAPUBKEY), rsaPubKey->bitlen/8, NULL);
      |      ^~ A algú més li ha passat? No sé si és que em falta instal·lar algun altre paquet, o que hi ha algun pas que no faig... em podríeu donar un cop de mà? Estaré molt agraïda!!

Moltes gràcies d'avançada! (I perdoneu si la pregunta és molt trivial!!)

Salut,

Marta

Inscripció a la Festa Eoan Ermine (Ubuntu 19.10) Caldes de Montbui - 16 novembre 2019

Dll, 11/11/2019 - 09:29
La festa de llançament de l'Ubuntu Eoan Ermine se celebrarà el dissabte 16 de novembre de 2019 a l'Institut Manolo Hugué, Josep Germà, 2, Caldes de Montbui.

L'assistència a la festa és completament gratuïta però us demanem que us inscriviu a fi que puguem preparar i dimensionar correctament l'esdeveniment.

>>> On és l'Institut Manolo Hugué <<<

Formulari d'inscripció a la Festa Eoan Ermine a Caldes de Montbui